#2298 closed defect (fixed)

sptls01 fails on sis

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.1
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Jiri Gaisler Blocked By:
Blocking:

Description

This fails on sis. Marking for milestone 4.11 until Sebastian gets a chance to look at it and decide if this should work.

Starting program: /users/joel/rtems-4.11-work/b-sis/sparc-rtems4.11/c/sis/testsuites/sptests/sptls01/sptls01.exe

* BEGIN OF TEST SPTLS 1 *
TLS item = 0
../../../../../../../rtems/c/src/../../testsuites/sptests/sptls01/init.c: 36 tls_item == expected
[Inferior 1 (process 42000) exited normally]

Change History (7)

comment:1 Changed on Mar 20, 2015 at 8:40:14 AM by Sebastian Huber

I think this is a problem with the GDB patches. I don't see this problem with a vanilla GDB 7.8.2.

Last edited on Mar 20, 2015 at 8:40:31 AM by Sebastian Huber (previous) (diff)

comment:2 Changed on Mar 20, 2015 at 6:35:45 PM by Joel Sherrill

Cc: Jiri Gaisler added

comment:3 Changed on Mar 20, 2015 at 10:29:57 PM by Jiri Gaisler

This is a problem in the updated sis, which keeps the emulated memory in host endian. If a elf section's length is not a multiple of 4, the last data does not get correct endian when loaded into the simulator. The sptls01 has a section of 1 byte, hence the problem:

section: .text, addr: 0x2000000, size 96304 bytes
section: .tdata, addr: 0x2017830, size 1 bytes <====!
section: .data, addr: 0x2017840, size 1632 bytes

I will make a patch for this, but I do not know when it will be merged in gdb git repo ...

Jiri.

comment:4 Changed on May 31, 2015 at 6:23:18 AM by Sebastian Huber

Is this problem fixed?

comment:5 Changed on May 31, 2015 at 2:05:20 PM by Joel Sherrill

I think Jiri fixed it but the patch set is not completely merged in gdb. I should check that all SPARC bsps pass with the rsb version.

Let's leave this open until at least I conforim the rsb.

comment:6 Changed on Jun 1, 2015 at 9:38:45 PM by Jiri Gaisler

This problem is fixed and merged in gdb git. Should be available in gdb-7.9.1. Outstanding patches are use-gdb-callback-for-UART-IO and support for leon2/3.

comment:7 Changed on Jan 18, 2016 at 1:09:13 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

Seems to be fixed.

Note: See TracTickets for help on using tickets.